<?php
/**
* @file		    includes/controller.php
* @description	Controller functions
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
 /**
  * redirects to address
  * @param string $address
  * @return redirects
  */
function redirect_to($address)
{
header('location:'.WEBSITE.APP_ROOT.'/'.$address);
exit;
}
 /**
  * creates warning msg used for errors.
  * @param string $msg
  * @return bool
  */
function flash_warning($msg) 
{
if(!$msg) { return false; }
$_SESSION['flash']['warning'] = $msg;
return true;
}
  /**
  * creates notice msg used for success
  * @param string $msg
  * @return bool
  */
function flash_notice($msg) 
{
if(!$msg)
{ return false; }
$_SESSION['flash']['notice'] = $msg;
return true;
}
  /**
  * Resets flash Messages
  * @return bool
  */
function reset_flash() 
{
$_SESSION['flash']['notice'] = '';
$_SESSION['flash']['warning'] = '';
return true;
}
  /**
  * Authenticate user type
  * @return bool
  */
function check_authentication($type)
{
 if($_SESSION['user']['type'] == $type)
  {return true;}
 else{ redirect_to('index.php');	}
}
	/**
	 * check user session if logged in returns true
	 * or else it returns false
	 * @return bool
	 */
function logged_as($type)
{
if($_SESSION['user']['type'] == $type)
  {return true;}
 else
  {return false;}
 }
	/**
	 * check user session if logged in returns true
	 * or else it returns false
	 * @return bool
	 */
function logged_in()
{
 if($_SESSION['user'] && $_SESSION['user']['type'])
  {return true;}
 else
  { return false; }
}
    /**
	 * Return array of $_GET and $_POST data
	 * @return array
     */
function parse_params()
{
 $params = array();
 if (!empty($_POST))
  {
  $params = array_merge($params, $_POST);
  }
return $params;
}
?>