<?php
/**
* @file		    models/news.php
* @description	The model file for the news
* @package		Open-School v1.0
* @copyright	Copyright (C) 2005 - 2008 Open-School. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Open-School is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

/*****
	 * creates a News
	 * @param array $params
	 * @return bool
******/

	function create_news($params)
	{
	  $connection = db_connect();
		
	  $query = sprintf("insert into news 
	                       set 
											 subject = '%s',
											 description = '%s',
											 body = '%s',
											 comment = %s,
											 display = '%s',
											 created_by = %s,
											 created_at = NOW(),
											 ending_at = '%s'
	                     ", 
											 mysql_real_escape_string($params['subject']),
											 mysql_real_escape_string($params['description']),
											 mysql_real_escape_string($params['body']),
											 mysql_real_escape_string($params['comment']),
											 mysql_real_escape_string($params['display']),
											 mysql_real_escape_string($params['created_by']),
											 mysql_real_escape_string($params['ending_at']));
		
		

		$result = mysql_query($query);
		if (!$result)
		{
		  return false;
		}
		else
		{
		  return true;
		}
		
	}	
	
	 
/*****
	 * Updates  News
	 * @param array $params
	 * @return bool	 
******/


	function update_news($params)
	{
	  $connection = db_connect();
		
	  $query = sprintf("update news 
	                       set 
											 subject = '%s',
											 description = '%s',
											 body = '%s',
											 comment = %s,
											 display = '%s',
											 created_by = %s,
											 created_at = '%s',
											 ending_at = '%s'
						  where
						                     id = %s
	                     ", 
											 mysql_real_escape_string($params['subject']),
											 mysql_real_escape_string($params['description']),
											 mysql_real_escape_string($params['body']),
											 mysql_real_escape_string($params['comment']),
											 mysql_real_escape_string($params['display']),
											 mysql_real_escape_string($params['created_by']),
											 mysql_real_escape_string($params['created_at']),
											 mysql_real_escape_string($params['ending_at']),
 											 mysql_real_escape_string($params['id']));
		//echo $query;
											 
		$result = mysql_query($query);
		if (!$result)
		{
		  return false;
		}
		else
		{
		  return true;
		}
		
	}
	

	
	
/*****
	 * deletes a news
	 * @param int $id
	 * @return bool
******/


	function delete_news($id)
	{
	  $connection = db_connect();
		
	  $query = sprintf("delete from news where id = %s", 
											 mysql_real_escape_string($id)
										 );
		
		$result = mysql_query($query);
		if (!$result)
		{
		  return false;
		}
		else
		{
		  return true;
		}
		
	}	
	

/*****
	 * returns array of news from database
	 * @return array
******/

	function display_news()
	{
		  $connection = db_connect();
			
	    $query = 'SELECT 
		          news.subject, news.comment, news.display, news.description, news.body, news.created_by, news.created_at, news.ending_at,
				  news.id as id, admins.username 
	              FROM 
				  news, admins
				  WHERE 
				  news.created_by = admins.id
				  ORDER by news.id desc'; 
			
			$result = mysql_query($query);
			
//Checking Whether the Result is Empty.

			$number_of_news = mysql_num_rows($result);
			if ($number_of_news == 0) 
			{
			  return false;	
			}
			
			$result = result_to_array($result);
			
			return $result;
			
	}

	
/*****
	 * returns array of news from database
	 * @return array
******/

	function latest_news($limit)
	{
		  $connection = db_connect();
			
	    $query = sprintf("SELECT 
		          news.subject, news.description, news.display, news.body, news.created_by, news.created_at, news.ending_at,
				  news.id as id, admins.username 
	              FROM 
				  news, admins
				  WHERE 
				  news.created_by = admins.id
				  ORDER by news.id desc
				  LIMIT %s",
				  mysql_real_escape_string($limit)
				  );
			
			$result = mysql_query($query);
			
//Checking Whether the Result is Empty.

			$number_of_news = mysql_num_rows($result);
			if ($number_of_news == 0) 
			{
			  return false;	
			}
			
			$result = result_to_array($result);
			
			return $result;
			
	}
	


/*****
	 * returns array of news from database
	 * @return array
	 * @param int $id
******/

	function find_news($id)
	{
		
		$connection = db_connect();
			
	    $query = sprintf("SELECT 
		          news.id as id, news.subject, news.description, news.body, news.created_by, news.created_at,
				  news.comment,news.display, news.ending_at, admins.username 
	              FROM 
				  news, admins
				  WHERE 
				  news.created_by = admins.id AND news.id = %s",				   
									 mysql_real_escape_string($id)									 
									 );
									 
									 
			$result = mysql_query($query);
		
   //Checking Whether the Result is Empty.

			$number_of_news = mysql_num_rows($result);
			if ($number_of_news == 0) 
			{
			  return false;	
			}
			
			$result = result_to_array($result);
			
			return $result;
			
	}


/****
    * Grab a single News
*****/


function grab($news,$value)
{
   foreach($news as $show)
 {
   if($show[$value])
      {
	    return $show[$value];
	  }
   else
      {
	     return false;
	  }
 }
}

/*****
	 * Toggle news settings
	 * @param array $params
	 * @return bool	 
******/


	function toggle($field,$id,$value)
	{
	  $connection = db_connect();
		
	  $query = sprintf("update news 
	                       set 
											 %s = %s
						  where
						                     id = %s
	                     ", 
											 mysql_real_escape_string($field),
											 mysql_real_escape_string($value),
 											 mysql_real_escape_string($id));
											 
		echo $query;
		$result = mysql_query($query);
		if (!$result)
		{
		  return false;
		}
		else
		{
		  return true;
		}
		
	}
	

	
?>